# Generated by Django 2.0.3 on 2018-03-27 09:38

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Restaurant',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='RestaurantChoice',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('votes_count', models.IntegerField(default=0)),
            ],
        ),
        migrations.CreateModel(
            name='RestaurantMenu',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('menu_image', models.FileField(upload_to='')),
                ('day_choice', models.CharField(choices=[('monday', 'Monday'), ('tuesday', 'Tuesday'), ('wednesday', 'Wednesday'), ('thursday', 'Thursday'), ('friday', 'Friday'), ('saturday', 'Saturday'), ('sunday', 'Sunday')], default='1', max_length=10)),
                ('restaurant_obj', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='restaurant.Restaurant')),
            ],
        ),
        migrations.CreateModel(
            name='RestaurantPoll',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(editable=False)),
                ('day_choice', models.CharField(choices=[('monday', 'Monday'), ('tuesday', 'Tuesday'), ('wednesday', 'Wednesday'), ('thursday', 'Thursday'), ('friday', 'Friday'), ('saturday', 'Saturday'), ('sunday', 'Sunday')], default='1', max_length=10)),
                ('restaurant_menu_obj', models.ForeignKey(blank=True, editable=False, on_delete=django.db.models.deletion.CASCADE, to='restaurant.RestaurantMenu')),
            ],
        ),
        migrations.AddField(
            model_name='restaurantchoice',
            name='restaurant_menu_obj',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='restaurant.RestaurantMenu'),
        ),
        migrations.AddField(
            model_name='restaurantchoice',
            name='restaurant_poll_obj',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='restaurant.RestaurantPoll'),
        ),
    ]
